#include <DHT11.h>
#include <ESP8266WiFi.h>
#include <Wire.h>
#include "SSD1306.h"

int pin = 2;
DHT11 dht11(pin);

const char* ssid = "prometec"; //Nombre de la red WiFi a la que nos vamos a conectar
const char* password = "******"; //Contrasena de la red WiFi a la que nos vamos a conectar
SSD1306 display(0x3c, 5, 4); //GPIO 5 = D1, GPIO 4 = D2
#define flipDisplay true

void setup()
{
  /* Inicializamos la pantalla */
  display.init();
  if (flipDisplay) display.flipScreenVertically();

  /* Mostramos la pantalla de bienvenida */
  display.clear();
  display.setFont(ArialMT_Plain_16);
  display.drawString(15, 25, "Prometec.net");
  display.display();
  delay (3000);
  /*Mostrar red en pantala*/
  display.clear();
  display.setFont(ArialMT_Plain_16);
  display.drawString(0, 0, "Connecting to:");
  display.drawString(0, 32, ssid);
  display.display();

  /*Conectarnos a la red WiFi*/
  WiFi.begin(ssid, password);

  while (WiFi.status() != WL_CONNECTED) {
    delay(500);
    /*Mostrar nuestra IP*/
    String ip = WiFi.localIP().toString();
    display.clear();
    display.drawString(0, 0, "Red: ");
    display.drawString(40, 0, ssid);
    display.drawString(0, 20, "IP address:");
    display.drawString(0, 40, ip);
    display.display();
  }
}

void loop()
{
  int err;
  float temp, hum;
  if ((err = dht11.read(hum, temp)) == 0)   // Si devuelve 0 es que ha leido bien
  {
    display.clear();
    display.drawString(0, 0, "Temp: ");
    display.drawString(50, 0, String(temp));
    display.drawString(100, 0, "ºC");
    display.drawString(0, 20, "Hum:");
    display.drawString(50, 20, String(hum));
    display.drawString(100, 20, "%");
    display.display();
  }
  else
  {
    display.drawString(0, 0, "Error Num :");
    display.drawString(0, 20, String(err));
  }
  delay(3000);            
  /*Mostrar nuestra IP*/
  String ip = WiFi.localIP().toString();
  display.clear();
  display.drawString(0, 0, "Red: ");
  display.drawString(40, 0, ssid);
  display.drawString(0, 20, "IP address:");
  display.drawString(0, 40, ip);
  display.display();
  delay (3000);
}
